# International wire tracking object

### Object Parameters

- `cancellation_reason` `string` — The reason if the transfer is requested to be canceled. [Read more](/international-wires/cancellations).
- `cancellation_status` `string` — The latest status of cancellation request ([Read more](/international-wires/cancellations)). Can be one of the `following`:`pending`: the `beneficiary` `bank` is `still` `processing` the `cancellation` `request`.
  `accepted`: the beneficiary bank has accepted the cancellation request. Funds have been returned, or will be returned shortly.
  `rejected`: the beneficiary bank has rejected the cancellation request. Funds won't be returned.
- `completed_amount` `number` — The amount (in the smallest unit of the currency) credited to the beneficiary account by the beneficiary bank. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
- `completed_at` `date-time` — The timestamp when the international wire was completed by the beneficiary bank
- `completed_currency_code` `string` — Currency code of the completed amount. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
- `events` `array of objects` — List of tracking updates of the transfer in ascending order of event timestamp
  - `cancellation_reason` `string` — The reason if the transfer is requested to be canceled. [Read more](/international-wires/cancellations).
  - `cancellation_status` `string` — The current status of cancellation request by this event ([Read more](/international-wires/cancellations)). Can be one of the `following`:`pending`: the `beneficiary` `bank` is `still` `processing` the `cancellation` `request`.
    `accepted`: the beneficiary bank has accepted the cancellation request. Funds have been returned, or will be returned shortly.
    `rejected`: the beneficiary bank has rejected the cancellation request. Funds won't be returned.
  - `cancellation_status_reason` `string` — The reason if the cancellation request is still pending or rejected
  - `charge_bearer` `string` — The charge bearer code. Possible values: `DEBT`, `CRED`, or `SHAR`
  - `charges` `array of objects` — List of fees charged by financial institutions involved in this transfer. Charges are only listed if the intermediary and beneficiary banks are part of the SWIFT GPI tracking system.
    - `agent` `string` — The agent or institution that applied the charge.
    - `amount` `number` — Amount of the charge in the smallest unit of the currency.
    - `currency_code` `string` — The three-letter currency code of the charge.
  - `fx_rate` `string` — The foreign exchange rate used for currency exchange by this financial institution
  - `instructed_amount` `number` — Instructed amount (in the smallest unit of the currency) of the transfer. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
  - `instructed_currency_code` `string` — Instructed currency. The three-letter currency code defined in ISO 4217 (e.g. `USD`). [Read more](/international-wires/#various-amounts).
  - `instructed_fi` `string` — The SWIFT BIC code of the instructed financial institution (i.e., the next FI in the routing)
  - `is_cover_transfer_event` `boolean` — Indicate if this event is for the cover transfer that settles funds. Cover transfer events will not impact the corresponding customer transfer status.
  - `network_reference` `string` — The event ID in the SWIFT tracking system. Unique per transfer.
  - `settled_amount` `number` — Settlement amount (in the smallest unit of the currency) of the transfer. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
  - `settled_currency_code` `string` — Settlement currency. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
  - `transfer_status` `string` — The current transfer status in the SWIFT tracking system by this event. Possible values: `pending`, `rejected`, or `completed`
  - `transfer_status_reason` `string` — The reason if the transfer is still pending or rejected
  - `type` `string` — The tracking event type. Possible values: `fi_transfer_initiated`, `fi_transfer_updated`, `fi_transfer_cancellation_requested`, `fi_transfer_cancellation_responded`, `fi_transfer_cancellation_tracking_updated`, `fi_transfer_return_initiated`, `fi_transfer_return_updated`, `fi_transfer_cover_initiated`, `fi_transfer_cover_updated`, `fi_transfer_cover_return_initiated`, `fi_transfer_cover_return_updated`, `transfer_initiated`, `transfer_updated`, `transfer_cancellation_requested`, `transfer_cancellation_responded`, `transfer_cancellation_tracking_updated`, `transfer_return_initiated`, `transfer_return_updated`, `transfer_cover_initiated`, `transfer_cover_updated`, `transfer_cover_return_initiated`, `transfer_cover_return_updated`
  - `updated_at` `date-time` — The timestamp when the event was last updated by the SWIFT tracking system
  - `updated_by` `string` — The SWIFT BIC code of the financial institution posting this status update, or the SWIFT tracking system (TRCKCHZZXXX)
- `id` `string` — The ID of this international wire transfer
- `transfer_status` `string` — The latest transfer status in the SWIFT tracking system. Possible values: `pending`, `rejected`, or `completed`
- `transfer_status_reason` `string` — The reason if the transfer is still pending or rejected
- `uetr` `string` — Universally unique ID to provide an end-to-end reference for this transfer. Format: UUID v4.
- `updated_at` `date-time` — The timestamp when the transfer was last updated by the SWIFT tracking system

**Response 200**

```json
{
  "cancellation_reason": null,
  "cancellation_status": null,
  "completed_amount": null,
  "completed_at": null,
  "completed_currency_code": null,
  "events": [
    {
      "cancellation_reason": null,
      "cancellation_status": null,
      "cancellation_status_reason": null,
      "charge_bearer": "DEBT",
      "charges": null,
      "fx_rate": null,
      "instructed_amount": 500,
      "instructed_currency_code": "EUR",
      "instructed_fi": null,
      "network_reference": "20230821CLNOUS66AXXX0161234567",
      "settled_amount": 500,
      "settled_currency_code": "EUR",
      "transfer_status": "pending",
      "transfer_status_reason": "Credit transfer has been forwarded to the next bank that does not provide tracking service",
      "type": "transfer_initiated",
      "updated_at": "2023-08-22T04:01:02Z",
      "updated_by": "CLNOUS66XXX"
    },
    {
      "cancellation_reason": null,
      "cancellation_status": null,
      "cancellation_status_reason": null,
      "charge_bearer": "DEBT",
      "charges": null,
      "fx_rate": null,
      "instructed_amount": 500,
      "instructed_currency_code": "EUR",
      "instructed_fi": null,
      "network_reference": "swi00004-2023-08-22T04:03:08.44682.781207Z",
      "settled_amount": 500,
      "settled_currency_code": "EUR",
      "transfer_status": "pending",
      "transfer_status_reason": "Credit transfer has been forwarded to the next bank that does not provide tracking service",
      "type": "transfer_initiated",
      "updated_at": "2023-08-22T04:03:33Z",
      "updated_by": "CHASUS33XXX"
    }
  ],
  "id": "swft_2F3BYA9aMdHag8iUtsDE8ji0KOK",
  "transfer_status": "pending",
  "transfer_status_reason": "Credit transfer has been forwarded to the next bank that does not provide tracking service",
  "uetr": "d6e4313a-e186-4b21-83a5-43fa4cbaa38e",
  "updated_at": "2023-08-22T04:03:33Z"
}
```
